<?php
/**
 * Copyright © 2016 MB Vienas bitas. All rights reserved.
 * @website    www.magetrend.com
 * @package    MT Email for M2
 * @author     Edvinas Stulpinas <edwin@magetrend.com>
 */
?>
<!doctype html>
<html lang="en">
<head>
    <script>
        var FORM_KEY = '<?php echo $block->getFormKey();?>';
    </script>
    <meta charset="utf-8"/>
    <meta name="robots" content="NOINDEX,NOFOLLOW"/>
    <meta name="viewport" content="width=1024"/>
    <meta name="format-detection" content="telephone=no"/>
    <title>MT Editor / Magento Admin / Magento Admin</title>
    <link  rel="icon" type="image/x-icon" href="<?php echo $block->getViewFileUrl('Magento_Theme::favicon.ico'); ?>" />
    <link  rel="shortcut icon" type="image/x-icon" href="<?php echo $block->getViewFileUrl('Magento_Theme::favicon.ico'); ?>" />

    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $block->getViewFileUrl('Magetrend_Email::css/mteditor/bootstrap.min.css'); ?>" />
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $block->getViewFileUrl('Magetrend_Email::css/mteditor/jquery-ui.css'); ?>" />
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $block->getViewFileUrl('Magetrend_Email::css/mteditor/jquery.fileupload.css'); ?>" />
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $block->getViewFileUrl('Magetrend_Email::css/mteditor/mteditor.css'); ?>" />
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $block->getViewFileUrl('Magetrend_Email::css/mteditor/colorpicker.css'); ?>" />
    <link rel="stylesheet" type="text/css" media="all" href="<?php echo $block->getViewFileUrl('Magetrend_Email::css/mteditor/popup.css'); ?>" />

    <?php echo $block->getEmailHeadBlockHtml(); ?>

    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/jquery-2.1.3.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/bootstrap.min.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/jquery.cookie.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/jquery-ui.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/jquery.ui.widget.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/jquery.iframe-transport.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/jquery.fileupload.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/text_edit_helper.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/colorpicker.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/popup.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/helper/save.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/jquery.metisMenu.js'); ?>"></script>
    <script type="text/javascript" src="<?php echo $block->getViewFileUrl('Magetrend_Email::js/mteditor/editor.js'); ?>"></script>
</head>
<body>
    <div id="editor_wrapper">
        <div class="sidebar">
            <nav class="navbar-default navbar-side" role="navigation">
                <ul class="nav" id="main-menu">
                    <li class="active">
                        <a href="#">
                            <span class="menu-icon glyphicon glyphicon-pencil" aria-hidden="true"></span>
                            Edit
                            <span class="glyphicon glyphicon-chevron-right next-level" aria-hidden="true"></span>
                        </a>
                        <ul class="nav nav-second-level">
                            <li  class="first">
                                <a href="#" class="active open-tools" data-selector="edit-layout">
                                    <span class="menu-icon  glyphicon glyphicon-th-large" aria-hidden="true"></span>
                                    Layout
                                </a>
                            </li>
                            <li>
                                <a href="#"  class="open-tools" data-selector="edit-style">
                                    <span class="menu-icon glyphicon glyphicon-tasks" aria-hidden="true"></span>
                                    Style
                                </a>
                            </li>
                            <li>
                                <a href="#"  class="open-tools" data-selector="edit-image">
                                    <span class="menu-icon glyphicon glyphicon-picture" aria-hidden="true"></span>
                                    Images
                                </a>
                            </li>
                            <li class="last">
                                <a href="#"  data-selector="edit-css">
                                    <span class="menu-icon glyphicon glyphicon-asterisk" aria-hidden="true"></span>
                                    CSS
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="#">
                            <span class="menu-icon glyphicon glyphicon-resize-full" aria-hidden="true"></span>
                            Preview
                            <span class="next-level glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                        </a>

                        <ul class="nav nav-second-level">
                            <li class="first">
                                <a href="#" data-action="preview-full-screen">
                                    <span class="menu-icon glyphicon glyphicon-fullscreen" aria-hidden="true"></span>
                                    Full screen
                                </a>
                            </li>
                            <li class="last">
                                <a href="#" data-action="preview-mobile">
                                    <span class="menu-icon glyphicon glyphicon-phone" aria-hidden="true"></span>
                                    Mobile
                                </a>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <a href="#" data-action="send-email">
                            <span class="menu-icon glyphicon glyphicon-envelope" aria-hidden="true"></span>
                            Send
                        </a>
                    </li>
                    <li>
                        <a href="#">
                            <span class="menu-icon glyphicon glyphicon-cog" aria-hidden="true"></span>
                            Actions
                            <span class="next-level glyphicon glyphicon-chevron-right" aria-hidden="true"></span>
                        </a>

                        <ul class="nav nav-second-level">
                            <li class="first">
                                <a href="#" data-action="change-info">
                                    <span class="menu-icon glyphicon glyphicon-pencil" aria-hidden="true"></span>
                                    Change info
                                </a>
                            </li>
                            <li class="last">
                                <a href="#" data-action="delete-template">
                                    <span class="menu-icon glyphicon glyphicon-trash" aria-hidden="true"></span>
                                    Delete template
                                </a>
                            </li>
                        </ul>
                    </li>
                </ul>
            </nav>
            <div class="actions">
                <div class="option">Apply to all
                    <div id="switch_apply_to_all" class="inactive">
                        <div id="switch_thumb_apply_to_all" class="inactive"></div>
                    </div>
                </div>
                <button type="button" class="btn btn-complete btn-cons" data-action="save">
                    Save
                </button>
                <button type="button" class="btn btn-default btn-cons" data-action="back" >
                    <span class="glyphicon glyphicon-menu-left" aria-hidden="true"></span> Back to Magento
                </button>
            </div>
        </div>
        <div class="tools edit-layout active">
            <div class="mteditor-panel-scroll">
                <div class="mteditor-panel-container">
                    <div class="tools-container">
                        <div class="title">Drag block to the right</div>
                        <div class="block-list " id="draggable"></div>
                    </div>
                </div>
            </div>
        </div>
        <div class="tools edit-style">
            <div class="empty-style-panel">
                Select a block on the right
            </div>
            <div class="mteditor-panel-scroll">
                <div class="mteditor-panel-container">
                    <div class="tools-container">
                        <div class="option">Apply to all
                            <div id="switch" class="active">
                                <div id="switch_thumb" class="active"></div>
                            </div>
                        </div>
                        <ul>
                            <li id="mtedit_bgcolor">
                                <span>Background colors</span>
                                <ul></ul>
                            </li>
                            <li  id="mtedit_color">
                                <span>Font colors</span>
                                <ul></ul>
                            </li>
                            <li  id="mtedit_font_size">
                                <span>Font size</span>
                                <ul></ul>
                            </li>
                            <li  id="mtedit_font_family">
                                <span>Font family</span>
                                <ul></ul>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
        <div class="tools edit-image">
            <div class="empty-image-panel">
                Select a image on the right
            </div>
            <div class="mteditor-panel-scroll">
                <div class="mteditor-panel-container">
                    <div class="tools-container">
                        <div class="option">
                            <span class="mteditor-option-title">Image properties</span>
                            <div class="mteditor-option-container">
                                <div class="form">
                                    <label for="image-width">Width</label>
                                    <input type="text" id="image-width" name="image-width" value=""/>
                                    <label for="image-height">Height</label>
                                    <input type="text" id="image-height" name="image-height" value=""/>
                                    <label for="image-border">Border</label>
                                    <input type="text" id="image-border" name="image-border" value=""/>
                                    <label for="image-margin">Margin</label>
                                    <input type="text" id="image-margin" name="image-margin" value=""/>
                                    <label class="long last" for="image-height">Alt</label>
                                    <input class="long last" type="text" id="image-alt" name="image-alt" value=""/>
                                </div>
                            </div>
                        </div>
                        <div class="mteditor_upload_new">
                            <div class="option">
                                <span class="mteditor-option-title">Upload new image</span>
                                <div class="mteditor-option-container">
                                    <form id="imageupload" action="" method="POST" enctype="multipart/form-data">
                                        <div class="fileupload-buttonbar">
                                            <span class="btn btn-complete btn-cons fileinput-button">
                                                <i class="glyphicon glyphicon-plus"></i>
                                                <span class="mteditor_upload_button">Select image</span>
                                                <input type="file" name="files">
                                            </span>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <ul class="mteditor-image-list"></ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-wrapper">
            <style type="text/css">
                <?php echo $block->escapeHtml($block->addPrefixToCss($block->getGlobalCss())) ?>
                <?php echo $block->escapeHtml($block->addPrefixToCss($block->getDesignCss())) ?>
            </style>
            <div class="scroll-wrapper">
                <style type="text/css">
                    <?php echo $block->escapeHtml($block->addPrefixToCss($block->getTemplateStyle())) ?>
                </style>
                <div id="email">
                    <?php echo $block->getTemplateContentHtml(); ?>
                </div>
            </div>
        </div>
    </div>
    <div id="hidden_content">
        <div id="mteditor_tmp"></div>
        <div id="empty_placeholder">
            <div class="empty-placeholder">
                <div class="drag-here">
                    <span class="glyphicon glyphicon-plus"></span> Drag your blocks here
                </div>
            </div>
        </div>
        <div id="block_placeholder">
            <table class="block-placeholder" width="100%"><tr><td></td></tr></table>
        </div>
        <div id="hidden_content_block"></div>
        <div id="confirm_popup">

            <div class="esns_box_block_1 normal-width">
                <div class="popup-msg"></div>
            </div>
            <div class="popup-actions">
                <ul>
                    <li><a class="btn btn-success btn-cons" href="#" data-action="1">Yes</a> </li>
                    <li><a class="btn btn-danger btn-cons" href="#" data-action="0">No</a> </li>
                </ul>
            </div>
        </div>

        <div id="content_popup">
            <div class="popup-content"></div>

        </div>
        <div id="change_info">
            <div class="popup-form normal-width">
                <div class="form-group">
                    <label><em>*</em>Template name</label>
                    <span class="help">e.g. "New account"</span>
                    <input name="template_code" type="text" class="form-control">
                </div>

                <div class="form-group">
                    <label><em>*</em>Email subject</label>
                    <span class="help">e.g. "Welcome to store"</span>
                    <input name="template_subject" type="text"  class="form-control">
                </div>

                <div class="form-group">
                    <label><em>*</em>Store </label>
                    <select class="form-control init-template" name="store_id">
                        <?php $storeList = $block->getStoreOptions(); ?>
                        <?php foreach ($storeList as $store) : ?>
                            <?php if (is_array($store['value'])) : ?>
                                <optgroup label="<?php echo $block->escapeHtml($store['label']);?>"></optgroup>
                                <?php foreach ($store['value'] as $store2) : ?>
                                    <option  value="<?php echo $block->escapeHtml($store2['value']);?>">
                                        <?php echo $block->escapeHtml($store2['label']);?>
                                    </option>
                                <?php endforeach; ?>
                            <?php endif;?>
                            <?php if (is_numeric($store['value'])) : ?>
                                <option  value="<?php echo $block->escapeHtml($store['value']);?>">
                                    <?php echo $block->escapeHtml($store['label']);?>
                                </option>
                            <?php endif;?>
                        <?php endforeach; ?>
                    </select>
                </div>
            </div>
            <div class="response-error"></div>
            <div class="response-success"></div>
            <div class="popup-actions">
                <ul>
                    <li><a class="btn btn-success btn-cons" href="#" data-action="1">Save</a> </li>
                    <li><a class="btn btn-danger btn-cons" href="#" data-action="0">Cancel</a> </li>
                </ul>
            </div>
        </div>
        <div id="edit_link_form">
            <div class="popup-form normal-width">
                <div class="form-group link-title">
                    <label>Title</label>
                    <span class="help">e.g. "Get it now!"</span>
                    <input name="editor_link_title" type="text" class="form-control">
                </div>
                <div class="form-group">
                    <label>Url</label>
                    <span class="help">e.g. "http://www.example.com"</span>
                    <input name="editor_link_href" type="text"  class="form-control">
                </div>
            </div>
            <div class="popup-actions">
                <ul>
                    <li><a class="btn btn-success btn-cons" href="#" data-action="1">Apply</a> </li>
                    <li><a class="btn btn-danger btn-cons" href="#" data-action="0">Remove Link</a> </li>
                </ul>
            </div>
        </div>
        <div id="edit_var_form">
            <div class="popup-form normal-width">
                <div class="form-group link-title">
                    <label>Variables</label>
                    <span class="help">Select one</span>
                    <select name="editor_var" class="form-control"></select>
                </div>
            </div>
            <div class="popup-actions">
                <ul>
                    <li><a class="btn btn-success btn-cons" href="#" data-action="1">Insert</a> </li>
                    <li><a class="btn btn-danger btn-cons" href="#" data-action="0">Cancel</a> </li>
                </ul>
            </div>
        </div>

        <div id="edit_html">
            <div class="popup-form">
                <div class="form-group link-title">
                    <label>HTML editor</label>
                    <textarea name="html" class="form-control big-textarea"></textarea>
                </div>
            </div>
            <div class="popup-actions">
                <ul>
                    <li><a class="btn btn-success btn-cons" href="#" data-action="1">Update</a> </li>
                    <li><a class="btn btn-danger btn-cons" href="#" data-action="0">Cancel</a> </li>
                </ul>
            </div>
        </div>

        <div id="edit_css">
            <div class="popup-form">
                <div class="form-group link-title">
                    <label>Email CSS</label>
                    <textarea name="css" class="form-control big-textarea"></textarea>
                </div>
            </div>
            <div class="popup-actions">
                <ul>
                    <li><a class="btn btn-success btn-cons" href="#" data-action="1">Update</a> </li>
                    <li><a class="btn btn-danger btn-cons" href="#" data-action="0">Cancel</a> </li>
                </ul>
            </div>
        </div>

        <div id="email_css"></div>

        <div id="init_new_template">
            <div class="popup-with-form normal-width">
                <div class="popup-form ">

                    <div class="form-group">
                        <label><em>*</em>Collection / Design</label>
                        <select class="form-control get-template-collection" name="email_design">
                            <option value="load"><?php echo __('Existing Templates'); ?></option>
                            <?php $designList = $block->getDesignList(); ?>
                            <?php if (!empty($designList)) : ?>
                                <?php foreach ($designList as $template) : ?>
                                    <option value="<?php echo $block->escapeHtml($template['value']);?>">
                                        <?php echo $block->escapeHtml($template['label']);?>
                                    </option>
                                <?php endforeach; ?>
                            <?php endif; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label><em>*</em>Email template</label>
                        <select class="form-control init-template" name="email_template">
                            <option value=""> -- -- </option>
                            <?php $templateList = $block->getTemplateList(); ?>
                            <?php $addGroup = true; ?>
                            <?php foreach ($templateList as $template) : ?>
                                <?php if (!isset($template['group'])) : ?>
                                <option value="<?php echo $block->escapeHtml($template['value']);?>">
                                    <?php echo $block->escapeHtml($template['label']);?>
                                </option>
                                <?php endif; ?>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label><em>*</em>Locale</label>
                        <select class="form-control init-template" name="email_locale">
                            <?php
                            $localeList = $block->getLocaleOptions();
                            $currentLocale = $block->getCurrentLocale();
                            ?>
                            <?php foreach ($localeList as $locale) : ?>
                                <?php $selected = $currentLocale==$locale['value']?'selected="selected"':''; ?>
                                <option <?php echo $block->escapeHtml($selected);?>
                                    value="<?php echo $block->escapeHtml($locale['value']);?>">
                                    <?php echo $block->escapeHtml($locale['label']);?>
                                </option>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <div class="form-group">
                        <label><em>*</em>Store </label>
                        <select class="form-control init-template" name="store_id">
                            <?php foreach ($storeList as $store) : ?>
                                <?php if (is_array($store['value'])) : ?>
                                    <optgroup label="<?php echo $block->escapeHtml($store['label']);?>"></optgroup>
                                    <?php foreach ($store['value'] as $store2) : ?>
                                        <option  value="<?php echo $block->escapeHtml($store2['value']);?>">
                                            <?php echo $block->escapeHtml($store2['label']);?>
                                        </option>
                                    <?php endforeach; ?>
                                <?php endif;?>
                                <?php if (is_numeric($store['value'])) : ?>
                                    <option  value="<?php echo $block->escapeHtml($store['value']);?>">
                                        <?php echo $block->escapeHtml($store['label']);?>
                                    </option>
                                <?php endif;?>
                            <?php endforeach; ?>
                        </select>
                    </div>

                    <div class="form-group hidden-template">
                        <label><em>*</em>Template name</label>
                        <span class="help">e.g. "New account"</span>
                        <input name="template_code" type="text" class="form-control">
                    </div>

                    <div class="form-group hidden-template">
                        <label><em>*</em>Email subject</label>
                        <span class="help">e.g. "Welcome to the best store"</span>
                        <input name="template_subject" type="text"  class="form-control">
                    </div>
                </div>
                <div class="response-error"></div>
                <div class="popup-actions">
                    <ul>
                        <li>
                            <button class="btn btn-success btn-cons" data-action="1" disabled="disabled">Create new</button>
                        </li>
                        <li>
                            <button class="btn btn-danger btn-cons" data-action="0">Back to Magento</button>
                        </li>
                    </ul>
                </div>
            </div>
        </div>

        <div id="mobile_preview">
            <div class="mobile">
                <iframe src="" width="320" height="480"> </iframe>
            </div>
        </div>
        <div id="send_test_message">
            <div class="popup-with-form normal-width">
                <div class="popup-form ">
                    <div class="form-group">
                        <label><em>*</em>Email</label>
                        <span class="help">e.g. "example@exmple.com"</span>
                        <input name="send_email[email]" type="text" class="form-control">
                    </div>
                </div>
                <div class="response-success"></div>
                <div class="response-error"></div>
                <div class="popup-actions">
                    <ul>
                        <li><button class="btn btn-success btn-cons" data-action="1" disabled="disabled">Send</button> </li>
                        <li><button class="btn btn-danger btn-cons" data-action="0">Cancel</button></li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div id="block-action">
        <ul>
            <li>
                <a href="#" class="block-action-move" title="move" ><span class="glyphicon glyphicon-move"  style="font-family: 'Glyphicons Halflings' !important;color:#ffffff !important;"></span></a>
            </li>
            <li>
                <a href="#" class="block-action-delete" title="delete"><span class="glyphicon glyphicon-remove"  style="font-family: 'Glyphicons Halflings' !important;color:#ffffff !important"></span></a>
            </li>
        </ul>
    </div>
    <div id="esns_background_layer">
        <div id="esns_box_layer">
            <div id="esns_box_close"></div>
            <div id="esns_box_content"></div>
        </div>
    </div>

    <div id="editor_helper">
        <div class="helper helper-text">
            <ul>
                <li><a href="#" data-action="bold"><span class="glyphicon glyphicon-bold"></span></a></li>
                <li><a href="#" data-action="italic"><span class="glyphicon glyphicon-italic"></span></a></li>
                <li><a href="#"  data-action="align-left"><span class="glyphicon glyphicon-align-left"></span></a></li>
                <li><a href="#" data-action="align-center"><span class="glyphicon glyphicon-align-center"></span></a></li>
                <li><a href="#" data-action="align-right"><span class="glyphicon glyphicon-align-right"></span></a></li>
                <li><a href="#" data-action="align-justify"><span class="glyphicon glyphicon-align-justify"></span></a></li>
                <li>
                    <a href="#" data-action="link" data-link-type="text"><span class="glyphicon glyphicon-link"></span></a>
                </li>
                <li><a href="#" data-action="var"><span class="text-icon">{{}}</span></a></li>
                <li><a href="#" data-action="html"><span class="text-icon small">HTML</span></a></li>
                <li><a href="#" data-action="image"><span class="glyphicon glyphicon-picture"></span></a></li>
            </ul>
        </div>
        <div class="helper helper-image">
            <ul>
                <li>
                    <a href="#"  data-action="align-left" data-image-editable="true">
                        <span class="glyphicon glyphicon-align-left"></span>
                    </a>
                </li>
                <li>
                    <a href="#" data-action="align-center" data-image-editable="true">
                        <span class="glyphicon glyphicon-align-center"></span>
                    </a>
                </li>
                <li>
                    <a href="#" data-action="align-right" data-image-editable="true">
                        <span class="glyphicon glyphicon-align-right"></span>
                    </a>
                </li>
                <li>
                    <a href="#" data-action="align-justify" data-image-editable="true">
                        <span class="glyphicon glyphicon-align-justify"></span>
                    </a>
                </li>
                <li>
                    <a href="#" data-action="link"  data-link-type="image">
                        <span class="glyphicon glyphicon-link"></span>
                    </a>
                </li>
                <li><a href="#" data-action="remove-image"  data-image-editable="true">
                        <span class="glyphicon glyphicon-remove"></span>
                    </a>
                </li>
            </ul>
        </div>
        <div class="helper helper-link">
            <ul>
                <li><a href="#" data-action="bold"><span class="glyphicon glyphicon-bold"></span></a></li>
                <li><a href="#" data-action="italic"><span class="glyphicon glyphicon-italic"></span></a></li>
                <li>
                    <a href="#" data-action="link" data-link-type="text">
                        <span class="glyphicon glyphicon-link"></span>
                    </a>
                </li>
                <li class="only-text-link">
                    <input class="color" value="" name="link-color" type="text" data-action="link-color"/>
                </li>
            </ul>
        </div>
    </div>


    <div id="loading" style="">
        <span class="loading-animation" style="

        ">Please Wait....</span>
    </div>

    <?php
    //@codingStandardsIgnoreStart
    ?>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            mtEditor.init(<?php echo $this->getJsonConfig(); ?>);
        });
    </script>
</body>
</html>
<?php
//@codingStandardsIgnoreEnd
?>